Summary: Ethernet settings python bindings
Name:    python-ethtool
Version: 0.6
Release: 6
URL:     http://fedorapeople.org/gitweb?p=dsommers/public_git/python-ethtool.git;a=summary
Source:  http://dsommers.fedorapeople.org/python-ethtool/%{name}-%{version}.tar.bz2
Patch0:  python-ethtool-0.3-doc.patch
Patch1:  python-ethtool-aa2c20e697af1907b92129410aa10952a3ffdd68-fix-RETURN_NONE-refcount.patch
Patch2:  python-ethtool-4e928d62a8e3c1dfefe6a55b81c0f0b4510b14eb-fix-error-handling.patch

# Cherrypick upstream fix for typo in the "pethtool --help" message
# (rhbz#692028):
Patch3: python-ethtool-710766dc72260149bd78fd6168fbaf6838fc3d4f-fix-typo-in-pethtool-help.patch

# Cherrypick upstream fix for memory leaks (rhbz#698125):
Patch4: python-ethtool-abc7f912f66d41dd734a10900429d4cad9377da5-fix-memory-leaks.patch

# Add IPv6 information to pifconfig (rhbz#698192):
Patch5: python-ethtool-0.6-add-ipv6-info-to-pifconfig.patch

# Cherrypick upstream fix for pifconfig's command-line parsing, to respect
# interface arguments (rhbz#714753)
Patch6: python-ethtool-a45819ecb5580aeeb09c6c2201929257f5d311d2-fix-pifconfig-command-line-parsing.patch

# Add a get_ipv4_addresses() method to ethtool.etherinfo to support devices
# with multiple IPv4 addresses (rhbz#759150):
Patch7: python-ethtool-0.6-add-get_ipv4_addresses-method.patch

# Makes get_active_devices() return IPv6-only interfaces, too
Patch8: python-ethtool-0.6-return-ipv6-only-interface-names.patch

# Makes pifconfig output all IPv4 addresses for interfaces
Patch9: python-ethtool-0.6-make-pifconfig-output-all-ipv4-addresses-for-interface.patch

License: GPLv2
Group:   System/Libraries
BuildRequires: python-devel libnl-devel
#asciidoc
BuildRequires: pkgconfig gcc

%description
Python bindings for the ethtool kernel interface, that allows querying and
changing of Ethernet card settings, such as speed, port, auto-negotiation, and
PCI locations.

%prep
%setup -q
%patch0 -p1 -b .doc
%patch1 -p1 -b .fix-RETURN_NONE-refcount
%patch2 -p1 -b .fix-error-handling

%patch3 -p1 
%patch4 -p1 -b .fix-memory-leaks
%patch5 -p1 
%patch6 -p1 
%patch7 -p1 -b .759150
%patch8 -p1
%patch9 -p1

%build
%{__python} setup.py build
#a2x -d manpage -f manpage man/pethtool.8.asciidoc
#a2x -d manpage -f manpage man/pifconfig.8.asciidoc
 
%install
%{__python} setup.py install --skip-build --root %{buildroot}
mkdir -p %{buildroot}%{_sbindir}
#mkdir -p %{buildroot}%{_mandir}/man8
cp -p pethtool.py %{buildroot}%{_sbindir}/pethtool
cp -p pifconfig.py %{buildroot}%{_sbindir}/pifconfig
#%{__gzip} -c man/pethtool.8 > %{buildroot}/%{_mandir}/man8/pethtool.8.gz
#%{__gzip} -c man/pifconfig.8 > %{buildroot}/%{_mandir}/man8/pifconfig.8.gz

%clean

%files
%doc COPYING
#%doc %{_mandir}/man8/*
%{_sbindir}/pethtool
%{_sbindir}/pifconfig
%{python_sitearch}/ethtool.so
%{python_sitearch}/*.egg-info

%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 0.6-6
+ Revision: 1bbcb71
- MassBuild#440: Increase release tag


